package com.ssj.service.conch.conch.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年12月14日 下午1:53:54 
 * 类说明 
 */
public class SendFeedbackReq  extends BaseRequest{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "id", value = "当前反馈消息唯一编号", required = true)
	private String id;
	@ApiModelProperty(name = "derver", value = "设备号", required = true)
	private String derver;
	@ApiModelProperty(name = "bizId", value = "业务id", required = true)
	private Long bizId;
	@ApiModelProperty(name = "userId", value = "用户id", required = true)
	private Long userId;

	@ApiModelProperty(name = "deviceFileId", value = "设备图片唯一Id", required = true)
	private String deviceFileId;
	@ApiModelProperty(name = "deviceFileSource", value = "被反馈图片的OSS地址", required = true)
	private String deviceFileSource;
	@ApiModelProperty(name = "snapshotKey", value = "缩略图OSS地址")
	private String snapshotKey;
	@ApiModelProperty(name = "userType", value = "用户类型，T：老师；P：家长； H： 校长； DF：其它。决定小塾端反馈消息用户昵称的颜色", required = true)
	private String userType;
	@ApiModelProperty(name = "commentSource", value = "评论来源0：默认，10学霸君", required = true)
	private String commentSource;
	@ApiModelProperty(name = "userNickname", value = "用户昵称，获取自微信昵称", required = true)
	private String userNickname;
	@ApiModelProperty(name = "userAvatar", value = "用户头像，OSS地址", required = true)
	private String userAvatar;
	@ApiModelProperty(name = "msgBrief", value = "用户反馈提示消息内容，中文", required = true)
	private String msgBrief;
	@ApiModelProperty(name = "msgType", value = "消息类型，textContent：文本 (可能包含表情符号）；voiceUrl：语音； photoUrl：图片", required = true)
	private String msgType;
	@ApiModelProperty(name = "msgContent", value = "文字/声音OSS地址/图片OSS地址", required = true)
	private String msgContent;
	@ApiModelProperty(name = "duration", value = "声音时长", required = true)
	private Long duration;
	
	@ApiModelProperty(name = "msgDatetime", value = "反馈时间，例如：2019-01-02 18:20", required = true)
	private String msgDatetime;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getDerver() {
		return derver;
	}
	public void setDerver(String derver) {
		this.derver = derver;
	}
	public String getDeviceFileId() {
		return deviceFileId;
	}
	public void setDeviceFileId(String deviceFileId) {
		this.deviceFileId = deviceFileId;
	}
	public String getDeviceFileSource() {
		return deviceFileSource;
	}
	public void setDeviceFileSource(String deviceFileSource) {
		this.deviceFileSource = deviceFileSource;
	}
	public String getUserType() {
		return userType;
	}
	public void setUserType(String userType) {
		this.userType = userType;
	}
	public String getUserNickname() {
		return userNickname;
	}
	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}
	public String getUserAvatar() {
		return userAvatar;
	}
	public void setUserAvatar(String userAvatar) {
		this.userAvatar = userAvatar;
	}
	public String getMsgBrief() {
		return msgBrief;
	}
	public void setMsgBrief(String msgBrief) {
		this.msgBrief = msgBrief;
	}
	public String getMsgType() {
		return msgType;
	}
	public void setMsgType(String msgType) {
		this.msgType = msgType;
	}
	public String getMsgContent() {
		return msgContent;
	}
	public void setMsgContent(String msgContent) {
		this.msgContent = msgContent;
	}
	public String getMsgDatetime() {
		return msgDatetime;
	}
	public void setMsgDatetime(String msgDatetime) {
		this.msgDatetime = msgDatetime;
	}
	public Long getDuration() {
		return duration;
	}
	public void setDuration(Long duration) {
		this.duration = duration;
	}

	public String getCommentSource() {
		return commentSource;
	}

	public void setCommentSource(String commentSource) {
		this.commentSource = commentSource;
	}


	public Long getBizId() {
		return bizId;
	}

	public void setBizId(Long bizId) {
		this.bizId = bizId;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public String getSnapshotKey() {
		return snapshotKey;
	}

	public void setSnapshotKey(String snapshotKey) {
		this.snapshotKey = snapshotKey;
	}
}
